<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2023 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->
<configuration description="Runs CTS Host Tests for ExtServices">
    <option name="test-suite-tag" value="cts" />
    <option name="config-descriptor:metadata" key="component" value="framework" />
    <option name="config-descriptor:metadata" key="parameter" value="not_instant_app" />
    <option name="config-descriptor:metadata" key="parameter" value="not_multi_abi" />
    <option name="config-descriptor:metadata" key="parameter" value="secondary_user" />
    <option name="config-descriptor:metadata" key="parameter" value="no_foldable_states" />
    <!-- Needed for correctly being picked up in presubmit -->
    <option name="config-descriptor:metadata" key="mainline-param"
            value="com.google.android.extservices_tplus.apex" />

    <test class="com.android.compatibility.common.tradefed.testtype.JarHostTest" >
        <option name="jar" value="CtsExtServicesHostTests-tplus.jar" />
    </test>

    <!-- NOTE: DeviceConfig and SystemProperties are handled by AdServicesFlagsSetterRule -->

    <!-- Prevent tests from running on Android S- -->
    <object type="module_controller"
            class="com.android.tradefed.testtype.suite.module.Sdk33ModuleController"/>

    <object type="module_controller"
            class="com.android.tradefed.testtype.suite.module.MainlineTestModuleController">
        <option name="mainline-module-package-name" value="com.google.android.extservices"/>
    </object>
</configuration>
